package com.theitbulls.gridviewex;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.appcompat.widget.AppCompatImageView;
import androidx.recyclerview.widget.RecyclerView;

public class GridViewAdapter extends RecyclerView.Adapter<RecyclerView.ViewHolder> {
    private int[] imgResIds;

    public GridViewAdapter(int[] imgResIds) {
        this.imgResIds = imgResIds;
    }

    @NonNull
    @Override
    public RecyclerView.ViewHolder onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {
        final View itemView = LayoutInflater.from(parent.getContext()).inflate(R.layout.grid_view_item, parent, false);
        return new ViewHolder(itemView);
    }

    @Override
    public void onBindViewHolder(@NonNull RecyclerView.ViewHolder holder, int position) {
        ViewHolder myHolder = (ViewHolder) holder;

        myHolder.imgView.setImageResource(imgResIds[position]);
    }

    @Override
    public int getItemCount() {
        return imgResIds.length;
    }

    public class ViewHolder extends RecyclerView.ViewHolder {
        private final AppCompatImageView imgView;

        public ViewHolder(@NonNull View itemView) {
            super(itemView);

            imgView = itemView.findViewById(R.id.imgView);
        }
    }
}
